dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DviFilePreamble Class Reference

The preamble to the DVI file. More...

`#include <DviFile.h>`

Inheritance diagram for DviFilePreamble:

## Public Member Functions
| DviFilePreamble ()
void | debug () const
| Writes a representation of this event on cerr. More...
Public Member Functions inherited from DviFileEvent
eventTypes | type () const
| Gets the type of this event. More...
const unsigned char | opcode () const
| Gets the underlying opcode which produced this event. More...
void | release ()
| Release this event. More...

## Public Attributes
unsigned int | dviType
| The DVI file identification byte. More...
unsigned int | num
| The numerator of the fraction defining the standard of measurement. More...
unsigned int | den
| The denominator of the fraction defining the standard of measurement. More...
unsigned int | mag
| Magnification specification. More...
string | comment
| The DVI file comment, as a string. More...

## Additional Inherited Members
Public Types inherited from DviFileEvent
enum | eventTypes { setchar, setrule, fontchange, special, page, preamble, postamble }
Static Public Member Functions inherited from DviFileEvent
static verbosities | verbosity (const verbosities level)
| Sets the verbosity for DviFileEvent and its subclasses. More...
Protected Member Functions inherited from DviFileEvent
| DviFileEvent (unsigned char opcode, eventTypes t, DviFile *dp=0)
| Creates a new event. More...
Static Protected Attributes inherited from DviFileEvent
static verbosities | verbosity_ = normal

## Detailed Description

The preamble to the DVI file.

## Constructor & Destructor Documentation

DviFilePreamble::DviFilePreamble | ( | ) |  |
| inline

## Member Function Documentation

void DviFilePreamble::debug | ( | ) |  | const
| virtual

Writes a representation of this event on cerr.

Reimplemented from DviFileEvent.

References comment, and den.

## Member Data Documentation

string DviFilePreamble::comment

The DVI file comment, as a string.

Referenced by debug(), and DviFile::getEvent().

unsigned int DviFilePreamble::den

The denominator of the fraction defining the standard of measurement.

Referenced by debug(), and DviFile::getEvent().

unsigned int DviFilePreamble::dviType

The DVI file identification byte.

Always 2 for DVI files produced by standard TeX.

Referenced by DviFile::getEvent().

unsigned int DviFilePreamble::mag

Magnification specification.

1000 times the desired magnification factor.

Referenced by DviFile::getEvent().

unsigned int DviFilePreamble::num

The numerator of the fraction defining the standard of measurement.

Referenced by DviFile::getEvent().

The documentation for this class was generated from the following files:

- DviFile.h
- DviFile.cc